/* Start Project */

body {
  background-color: var(--Body);
  font-family: "YekanBakh-Medium";
}

input:focus {
  outline: none;
  border: none;
}

input {
  outline: none;
  border: none;
}

a {
  text-decoration: none;
}

button {
  border: none;
  background-color: transparent;
}

strong {
  font-family: "YekanBakh-Bold";
  font-size: 18px;
}

/* Top Seller Section */

.fade-line {
  position: relative;
  border: none;
  height: 1px;
  width: 75%;
  margin: 1rem auto;
  overflow: hidden;
  background: transparent;
}

.fade-line::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to right,
    transparent 0%,
    var(--border) 20%,
    var(--border) 80%,
    transparent 100%
  );
}

.top-seller__section {
  width: 100%;
  margin: 70px auto;
}

.product-sideBar {
  display: flex;
  align-items: center;
  justify-content: center;
}

.sideBar-title {
  color: var(--text);
}

.sideBar-seeAll {
  font-size: 14px;
  color: var(--second-text);
  display: flex;
  align-items: center;
  gap: 10px;
  display: inline-flex;
  transition: 0.2s ease;
}

.icon-seeAll {
  font-size: 12px;
}

.sideBar-seeAll .icon-seeAll {
  transition: transform 0.2s ease;
}
.sideBar-seeAll:hover {
  color: var(--primary);
}

.sideBar-seeAll:hover .icon-seeAll {
  transform: translateX(-5px);
}

.product-cart {
  flex-shrink: 0;
  width: 280px;
  height: 400px;
  display: flex;
  flex-direction: column;
  padding: 16px;
  border-radius: 16px;
  background-color: #fff;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
  user-select: none !important;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  pointer-events: auto;
}

.new-product {
  width: 320px;
}

.new-product__img {
  padding-bottom: 0px !important;
}

.new-products__carts {
  width: 100%;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.product-cart:hover {
  box-shadow: 0px 2px 8px 0px
    rgba(99.00000000000001, 99.00000000000001, 99.00000000000001, 0.2);
}

.product-image {
  align-self: center;
  padding-bottom: 10px;
  display: flex;
  justify-content: center;
  width: 90%;
  margin: 0px;
}

.product-title {
  font-size: 14px;
  color: var(--text);
  line-height: 1.6em;
  transition: 0.2s ease;
  height: calc(1.6em * 2);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}

.product-title:hover {
  color: var(--primary);
}

.product-price {
  margin: 0px;
  font-family: "YekanBakh-Bold";
  display: flex;
  align-items: center;
  gap: 10px;
  text-align: right;
  font-size: 20px;
}

.add-basket {
  background-color: var(--primary);
  padding: 10px 15px;
  border-radius: 8px;
  color: var(--white);
  cursor: pointer;
  width: 100%;
  font-size: 14px;
  text-align: center;
  align-self: center;
  transition: 0.2s ease;
}

.add-basket:hover {
  background-color: var(--hover);
  transform: scale(1.05);
}

.toman {
  font-size: 12px;
  color: var(--second-text);
}

/* Category Section */

.category-section {
  width: 100%;
  margin: 70px auto;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.category-cart {
  display: flex;
  align-items: center;
  background-color: var(--white);
  justify-content: space-between;
  width: 240px;
  height: 70px;
  border-radius: 16px;
  overflow: hidden;
  padding: 12px 10px;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
}

.category-cart:hover {
  box-shadow: 0px 2px 8px 0px
    rgba(99.00000000000001, 99.00000000000001, 99.00000000000001, 0.2);
}

.category-title {
  font-size: 14px;
  color: var(--text);
}

.category-img {
  width: 56px;
  height: 56px;
}

/* Banner Section */

.banner1-container {
  width: 100%;
  margin: 70px auto;
  overflow: hidden;
  align-self: center;
}

.banner-1 {
  width: 100%;
  border-radius: 16px;
  cursor: pointer;
}

.banner2-container {
  width: 100%;
  margin: 70px auto;
  overflow: hidden;
  align-self: center;
}

.banner-2 {
  width: 100%;
  border-radius: 16px;
}

/* New Products Section */

.new-products__section {
  width: 100%;
  margin: 70px auto;
}

.bottom-new__products {
  display: flex;
  align-items: center;
  width: 100%;
  gap: 20px;
}

.new-product__ads__container {
  width: 229px;
  height: 400px;
  padding: 16px;
  border-radius: 16px;
  background: var(--primary);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.new-products__img {
  height: 239px;
  width: 239px;
}

.new-products__title {
  color: var(--white);
  margin-bottom: 10px;
}

.new-products__digital {
  margin: 0px;
  font-size: 30px;
  font-family: "YekanBakh-Extra-Bold";
  color: var(--white);
}

/* Brands Section */

.brands {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin: 70px auto;
  align-items: center;
  overflow: hidden;
  justify-content: space-evenly;
  gap: 20px;
}

.brand-cart {
  width: 180px;
  height: 192px;
  border: 1px solid var(--border);
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: 0.2s ease;
}

.brand-logo {
  width: 110px;
  height: 80px;
}

.brand-name {
  font-size: 14px;
  color: #3f3f46;
}

.brand-img__link {
  width: 146px;
  height: 120px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0px;
}

/* Blog Section */

.top-blog__section {
  width: 100%;
  margin: 70px auto;
}

.blog-cart__index a,
.blog-cart__index img {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  pointer-events: auto;
}

.blog-cart__index {
  flex-shrink: 0;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
  width: 300px;
  padding: 16px;
  display: flex;
  flex-direction: column;
  border-radius: 16px;
  background-color: var(--white);
}

.blog-cart__index:hover {
  box-shadow: 0px 2px 8px 0px
    rgba(99.00000000000001, 99.00000000000001, 99.00000000000001, 0.2);
}

.blog-img {
  width: 100%;
  height: 200px;
  border-radius: 16px;
}

.blog-title__index {
  margin: 0px;
  font-size: 14px;
  color: var(--text);
  line-height: 1.6em;
  transition: 0.2s ease;
  height: calc(1.6em * 2);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}

.blog-title__index:hover {
  color: var(--primary);
}

.bottom-blog__cart__index {
  display: flex;
  align-items: end;
  justify-content: space-between;
  margin-top: 30px;
}

.blog-date__index {
  margin: 0px;
  font-family: "IranYekan-Light";
  color: #b8b8c0;
  font-size: 12px;
  display: flex;
  gap: 5px;
}

.blog-see__more__index {
  margin: 0px;
  font-size: 14px;
  display: flex;
  align-items: center;
  gap: 10px;
  color: var(--second-text);
}

.blog-see__more__index .icon-seeAll {
  transition: transform 0.2s ease;
}
.blog-see__more__index:hover {
  color: var(--primary);
}

.blog-see__more__index:hover .icon-seeAll {
  transform: translateX(-5px);
}

.bottom-product__cart {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.blog-img__link__index {
  margin: 0px;
}

.hidden {
  display: none !important;
}

/* Swiper */

.scrollable-carousel {
  width: 100%;
  overflow: hidden !important;
  padding-top: 20px;
  padding-bottom: 20px;
}

.scrollable-carousel .swiper-wrapper {
  display: flex !important;
  flex-direction: row !important;
}
